optparse deprecated

Bug #1413217 reported by Phill on 2015-01-21
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenLP
Low
Tim Bentley

Bug Description

"Deprecated since version 3.2: The optparse module is deprecated and will not be developed further; development will continue with the argparse module."

https://docs.python.org/3.3/library/optparse.html#module-optparse

Related branches

lp:~trb143/openlp/bugs-2_4b
Raoul Snyman: Approve on 2015-11-05
Phill (phill-ridout) on 2015-01-21
Changed in openlp:
importance: Undecided → Low
status: New → Confirmed
Phill (phill-ridout) on 2015-01-23
Changed in openlp:
status: Confirmed → In Progress
assignee: nobody → Phill (phill-ridout)
Phill (phill-ridout) on 2015-04-28
Changed in openlp:
milestone: none → 2.3.0
Tim Bentley (trb143) on 2015-04-28
Changed in openlp:
milestone: 2.3.0 → none
Tim Bentley (trb143) on 2015-06-01
Changed in openlp:
assignee: Phill (phill-ridout) → Tim Bentley (trb143)
Tim Bentley (trb143) on 2015-11-05
Changed in openlp:
milestone: none → 2.3.0
status: In Progress → Fix Committed
Tim Bentley (trb143) on 2015-12-28
Changed in openlp:
milestone: 2.3.0 → 2.3.1
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers